/** Homepage Slider Styling **/

section {
    height: 100vh; /* Adjusted to full viewport height */
    width: 100%;
    top: 0;
    position: fixed;
    visibility: hidden;
  
    .outer,
    .inner {
      width: 100%;
      height: 100%;
      overflow-y: hidden;
    }
  
    .bg {
      display: flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0;
      background-size: cover;
      background-position: center;
  
      h2 {
        z-index: 2;
      }
  
      .clip-text {
        overflow: hidden;
      }
    }
  }
  
  .first {
    .bg {
      background-image: 
          url("../uploads/home/anthonyabuhanna-home-1.webp");
      background-position: center center;
    }
  }
  
  .second {
    .bg {
      background-image: 
          url("../uploads/home/anthonyabuhanna-home-2.webp");
      background-position: center center;
    }
  }
  
  .third {
    .bg {
      background-image: 
          url("../uploads/home/aa-homepage-2024-3.webp");
      background-position: center top;
    }
  }
  
  .fourth {
    .bg {
      background-image: 
          url("../uploads/home/aa-homepage-2024-4.webp");
      background-position: center center;
    }
  }
  
  .fifth {
    .bg {
      background-image: 
          url("../uploads/home/anthonyabuhanna-home-5.webp");
      background-position: 50% 45%;
      background-position: center top;
    }
  }

  /* Mobile Images */

  @media only screen and (max-width: 768px)  {
 
    .first {
      .bg {
        background-image: 
            url("../uploads/home/aa-homepage-2024-mobile-1.webp");
        background-position: center center;
      }
    }
    
    .second {
      .bg {
        background-image: 
            url("../uploads/home/aa-homepage-2024-mobile-2.webp");
        background-position: center top;
      }
    }
    
    .third {
      .bg {
        background-image: 
            url("../uploads/home/aa-homepage-2024-mobile-3.webp");
        background-position: center top;
      }
    }
    
    .fourth {
      .bg {
        background-image: 
            url("../uploads/home/aa-homepage-2024-mobile-4.webp");
        background-position: center center;
      }
    }
    
    .fifth {
      .bg {
        background-image: 
            url("../uploads/home/aa-homepage-2024-mobile-5.webp");
        background-position: 50% 45%;
        background-position: center top;
      }
    }
    
  }
  
  h2 * {
    will-change: transform;
  }